{- Extremely simple tool to filter reads by length -}

module GelFilter where

import System.Environment (getArgs)
import System.IO

import Bio.Sequence

main :: IO ()
main = do
  [min,max] <- map read `fmap` getArgs
  hWriteFasta stdout =<< filter (\x -> seqlength x>=min && seqlength x<= max) `fmap` hReadFasta stdin
  